#include <stdio.h>

int main()
{
    long long p,q,r,L,R;
    scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&L,&R);
    long long br=0;
    long long c;
    if (p>q)
    {
        c=q;
        q=p;
        p=c;
    }
    if (p>r)
    {
        c=r;
        r=p;
        p=c;
    }
    if (q>r)
    {
        c=q;
        q=r;
        r=c;
    }
    long long b1,b2,b3;
    for (long long i=L;i<=R;i++)
    {
        b1=i/p+(i%p>0);
        b2=i/q+(i%q>0);
        b3=i/r+(i%r>0);
        if (b1+b2+b3<=i) br++;
    }
        //if ((i%p==0 && i%q==0)||(i%q==0 && i%r==0)||(i%p==0 && i%r==0)) br++;
    printf("%lld",br);
    return 0;
}